Bug 16651 - Notes field blank for 952$z in opac-course-details.pl
Summary: Notes field blank for 952$z in opac-course-details.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-03 18:53 UTC by Karl Holten
Modified: 2017-06-14 22:13 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot of area where notes should display (76.38 KB, image/png)
2016-06-03 18:53 UTC, Karl Holten
Details
Bug 16651 - Notes field blank for 952$z in opac-course-details.pl (3.57 KB, patch)
2016-06-06 15:32 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16651: Notes field blank for 952$z in opac-course-details.pl (3.66 KB, patch)
2016-06-06 19:43 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16651: Notes field blank for 952$z in opac-course-details.pl (3.74 KB, patch)
2016-06-24 11:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Karl Holten 2016-06-03 18:53:59 UTC
Created attachment 52024 [details]
Screenshot of area where notes should display

The notes field in the opac-course-details.pl page does not display a 952$z if there is no note in the course reserve. It should fail over and display the 952$z if no notes are present.
Comment 1 Nick Clemens 2016-06-06 15:32:27 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-06-06 19:43:12 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2016-06-24 11:44:09 UTC
Created attachment 52783 [details] [review]
Bug 16651: Notes field blank for 952$z in opac-course-details.pl

This patch changes course reserves to check for item notes form the
course reserve and fallback to itemlevel notes if they are empty

To test:
1 - Enable course reserves
2 - Add some items
3 - Make sure the items have notes at the item level and not at course
reserves
4 - Notes don't display in staff or opac
5 - Apply patch
6 - Notes display in staff and opac
7 - Add notes at course reserves level
8 - These override the item level notes

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Kyle M Hall 2016-06-24 13:58:27 UTC
Pushed to master for Koha 16.11, thanks Nick!
Comment 5 Frédéric Demians 2016-08-01 13:18:58 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 6 Julian Maurice 2016-08-16 13:31:32 UTC
Patches pushed to 3.22.x, will be in 3.22.10